<template>
  <div>
    <h1>Upload Transaction(s)!</h1>
    <form>
      <input type="file" name="file" accept=".csv" @change="selectFile" />
      <button type="button" @click="uploadFile">Upload</button>
      <span>{{ status }}</span>
    </form>
  </div>
</template>

<script>
import { mapGetters } from "vuex";
import { mapActions } from "vuex";

// @vuese
// This component uploads transaction(s)
export default {
  name: "transaction-file-upload",
  data() {
    return {
      file: "",
    };
  },
  computed: {
    ...mapGetters("transactions", ["uploadStatus"]),
    status: {
      get() {
        return this.uploadStatus;
      },
    },
  },
  methods: {
    ...mapActions("transactions", ["uploadTransactions"]),

    // @vuese
    // Get file selected by user
    selectFile(event) {
      const onlyFile = 0;
      this.file = event.target.files[onlyFile];
    },

    // @vuese
    // Upload file of transactions
    uploadFile() {
      this.uploadTransactions({
        file: this.file,
      });
    },
  },
};
</script>
